## org.apache.commons.math.random
Interface RandomVectorGenerator

All Known Implementing Classes:
  CorrelatedRandomVectorGenerator, UncorrelatedRandomVectorGenerator

    public interface RandomVectorGenerator

This interface represents a random generator for whole vectors.

Since:
  1.2
Version:
  $Revision: 780975 $ $Date: 2009-06-02 05:05:37 -0400 (Tue, 02 Jun 2009) $

Method Summary
`double[]` `nextVector()` Generate a random vector.

Method Detail

### nextVector

    double[] nextVector()

  Generate a random vector.

  Returns:
    a random vector as an array of double.

Copyright (c) 2003-2010 Apache Software Foundation